## xylib 0.6

=== debian/changelog ===
xylib (0.6-1) unstable; urgency=low

  * New upstream release
  * Update URL in watch file
  * Switch to dpkg-source 3.0 (quilt) format

 -- Marcin Wojdyr <wojdyr@gmail.com>  Sun, 09 May 2010 01:20:34 +0200

xylib (0.5-1) unstable; urgency=low

  * Initial release (Closes: #563841)

 -- Marcin Wojdyr <wojdyr@gmail.com>  Sat, 27 Mar 2010 11:56:00 +0100
