=== debian/control ===
Source: xylib
Priority: optional
Maintainer: Marcin Wojdyr <wojdyr@gmail.com>
Build-Depends: debhelper (>= 7), zlib1g-dev, libbz2-dev, libboost-dev
Standards-Version: 3.8.4
Section: science
Homepage: http://xylib.sourceforge.net/

Package: libxy3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: fityk (<< 0.9.2)
Suggests: fityk (>= 0.9.2)
Description: Library for reading x-y data from several file formats
 C++ library for reading files that contain x-y data from powder diffraction, 
 spectroscopy and other experimental methods. The supported formats include:
 VAMAS, pdCIF, Bruker UXD and RAW, Philips UDF and RD, Rigaku DAT, 
 Sietronics CPI, DBWS/DMPLOT, Koalariet XDD and others.

Package: libxy-dev
Section: libdevel
Architecture: any
Depends: libxy3 (= ${binary:Version}), ${misc:Depends}
Description: xylib development files
 Development files for xylib.
 .
 xylib is a C++ library for reading files that contain x-y data from powder
 diffraction, spectroscopy and other experimental methods.

Package: libxy-bin
Architecture: any
Depends: libxy3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: xylib - utilities
 xylib is a C++ library for reading files that contain x-y data from powder
 diffraction, spectroscopy and other experimental methods.
 .
 This package contains a small program xyconv that converts files supported
 by the xylib library to TSV (tab-separated values).
