## xylib 0.8

=== debian/changelog ===
xylib (0.8-1) unstable; urgency=low

  * New upstream release
  * Upgrade to Standards-Version 3.9.1 (no changes)
  * Add co-Maintainer Carlo Segre <segre@debian.org>

 -- Carlo Segre <segre@debian.org>  Thu, 24 Mar 2011 09:59:46 -0500
