=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xylib
 Priority: optional
 Maintainer: Marcin Wojdyr <wojdyr@gmail.com>
+Uploaders: Carlo Segre <segre@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev, libbz2-dev, libboost-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Section: science
 Homepage: http://xylib.sourceforge.net/
