=== debian/watch ===
version=3
http://sf.net/xylib/xylib-(.*)\.tar\.bz2
