## xylib 1.3

=== debian/changelog ===
xylib (1.3-1) unstable; urgency=low

  * New upstream release. Closes: #727525.
  * Removed patches not needed for this version.
  * Update URL in the watch file.
  * Use debhelper v9 and minimize the rules file.
  * Do not package libtool .la file.
  * Add multiarch support.
  * Changed Conflict (with old fityk) to Breaks, as lintian suggested.
  * Bumped Standards-Version to 3.9.5.
  * Update year in the copyrights file.

 -- Marcin Wojdyr <wojdyr@gmail.com>  Mon, 3 Feb 2014 23:17:47 +0000

xylib (0.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change Spirit #includes to a new scheme, cherry-pick two upstream commits.
    Closes: #724125

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2013 15:18:39 -0400
