=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Priority: optional
 Maintainer: Marcin Wojdyr <wojdyr@gmail.com>
 Uploaders: Carlo Segre <segre@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev, libbz2-dev, libboost-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, libbz2-dev, libboost-dev
+Standards-Version: 3.9.5
 Section: science
 Homepage: http://xylib.sourceforge.net/
 
 Package: libxy3
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: fityk (<< 0.9.2)
+Breaks: fityk (<< 0.9.2)
 Suggests: fityk (>= 0.9.2)
 Description: Library for reading x-y data from several file formats
  C++ library for reading files that contain x-y data from powder diffraction,
