=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-static
