=== debian/watch ===
version=3
https://github.com/wojdyr/xylib/releases/ download/v.*/xylib-(\d.*)\.tar\..+
