## xylib 1.6

=== debian/changelog ===
xylib (1.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063301

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 08:08:34 +0000

xylib (1.6-3) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update Standards-Version to 4.6.2 (no changes required).
  * Update debian/watch for github.

 -- Stuart Prescott <stuart@debian.org>  Mon, 02 Oct 2023 12:43:49 +1100

xylib (1.6-2) unstable; urgency=medium

  * Team upload.
  * Transition to wxWidgets 3.2 (Closes: #1019798)

 -- Scott Talbert <swt@techie.net>  Mon, 17 Oct 2022 19:43:24 -0400

xylib (1.6-1) unstable; urgency=medium

  [ Stuart Prescott ]
  * Adopt package into Debian Science Team, with thanks to Marcin Wojdyr and
    Carlo Segre for their previous effort (Closes: #979256).
  * Update watch file format to version 4.
  * Switch build system to cmake.
  * Add WX build-deps to make xyconvert.

  [ Fabian Wolff ]
  * New upstream release, compatible with boost1.74 (Closes: #975672).
  * Upgrade to debhelper compat level 13.
  * Upgrade to Standards-Version 4.5.1.
  * Update Homepage field in debian/control.
  * Rewrite debian/copyright in machine-readable format.
  * Update debian/rules.
  * Add debian/not-installed.
  * Add Vcs-Git and Vcs-Browser fields.
  * Mark libxy-dev as Multi-Arch: same (as suggested by the Multi-Arch
    hinter).

 -- Stuart Prescott <stuart@debian.org>  Fri, 15 Jan 2021 01:00:52 +1100

xylib (1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename package for GCC 5 transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 12 Aug 2015 17:35:50 +0200
